import request from '@/utils/request'

export function getAchievementList(params) {
  return request({
    url: '/portal/achievement/list',
    method: 'get',
    params: params
  })
}

export function getPaperList(params) {
  return request({
    url: '/portal/achievement/papers',
    method: 'get',
    params: params
  })
}

export function getPatentList() {
  return request({
    url: '/portal/achievement/patents',
    method: 'get'
  })
}

export function getAwardList() {
  return request({
    url: '/portal/achievement/awards',
    method: 'get'
  })
}

export function getAchievementStats() {
  return request({
    url: '/portal/achievement/stats',
    method: 'get'
  })
}

export function getSdgsat1AchievementList(params) {
  return request({
    url: '/portal/achievement/sdgsat1',
    method: 'get',
    params: params
  })
}

export function getAchievementDetail(id) {
  return request({
    url: `/portal/achievement/${id}`,
    method: 'get'
  })
}

export function getAchievementOverview() {
  return request({
    url: '/achievement/overview/1',
    method: 'get'
  })
}
